3 if ! echo "$LC_CTYPE" | grep -Fiq utf-8; then
4 echo "This script requires UTF-8 locale" 1>&2
9 cd -- "$1" || exit 1 # or just do it in current directory
13 find . -depth -type d -print |
16 cleanup-filenames.sh * &&
17 cd -- "$start_dir" || exit 1
20 [ "$1" ] && [ "$1" != . ] && exec cleanup-filenames.sh "$1"